MYSQL Unable to upgrade Debian 9

If none of the more specific forums is the right place to ask

MYSQL Unable to upgrade Debian 9

Postby kujirasan » 2017-11-02 21:31

Getting error when upgrading MYSQL any remedy out there?



E: /var/cache/apt/archives/mysql-community-server_5.7.20-1debian9_amd64.deb: subprocess new pre-installation script returned error exit status 1




Preconfiguring packages ...
(Reading database ... 563349 files and directories currently installed.)
Preparing to unpack .../mysql-community-server_5.7.20-1debian9_amd64.deb ...
................
dpkg: error processing archive /var/cache/apt/archives/mysql-community-server_5.7.20-1debian9_amd64.deb (--unpack):
subprocess new pre-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/mysql-community-server_5.7.20-1debian9_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
dpkg: dependency problems prevent configuration of mysql-server:
mysql-server depends on mysql-community-server (= 5.7.20-1debian9); however:
Version of mysql-community-server on system is 5.7.19-1debian9.

dpkg: error processing package mysql-server (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
mysql-server

Thanks in Advance
kujirasan
 
Posts: 182
Joined: 2009-03-08 23:07

Re: MYSQL Unable to upgrade Debian 9

Postby dilberts_left_nut » 2017-11-02 22:08

You should probably ask whoever provides those packages.
AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 4689
Joined: 2009-10-05 07:54
Location: enzed


Return to General Questions

Who is online

Users browsing this forum: No registered users and 11 guests

fashionable